Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 5)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 10, 11, 12 ... 19, 20, 21  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 154
Location: Czech Republic

PostPosted: Fri Jan 07, 2011 6:10 am    Post subject: Reply with quote

flame__ wrote:
Voltago wrote:
With gentoo-sources-2.6.37, kdm breaks completely and the login window never shows up... Anybody seen anything like this?

Same thing here. But only on netbook with intel card, desktop with nvidia works normally. If reboot back to 2.6.36-r6 kdm is working again.
Does anyone have any ideas why is it happening and how to fix it?


I have nvidia card and KDM works properly.
Back to top
View user's profile Send private message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 249

PostPosted: Fri Jan 07, 2011 8:39 am    Post subject: Reply with quote

for me, (intel, gcc-4.6-rc1,kde sc rc2 and linux 2.6.37) kdm works properly.

On the other hand, anyone knows when would be a digikam2-beta ebuild? The face recognicion things sound very interested to test.
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 154
Location: Czech Republic

PostPosted: Fri Jan 07, 2011 9:29 am    Post subject: Re: install error Reply with quote

Geos_One wrote:
kde-base/dolphin-plugins-4.5.95 dont want to install
any suggestions

Code:
-- <<< Gentoo configuration >>>
Build type      Gentoo
Install path    /usr
Compiler flags:
C               -march=k8 -msse3 -O2 -pipe   -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common
C++             -march=k8 -msse3 -O2 -pipe   -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Werror=return-type -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -fvisibility-inlines-hidden
Linker flags:
Executable      -Wl,--enable-new-dtags -Wl,--hash-style=gnu -Wl,-O1 -Wl,--as-needed
Module          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,--hash-style=gnu -Wl,-O1 -Wl,--as-needed
Shared          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,--hash-style=gnu -Wl,-O1 -Wl,--as-needed

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/kde-base/dolphin-plugins-4.5.95/work/dolphin-plugins-4.5.95_build
>>> Source configured.
>>> Compiling source in /var/tmp/portage/kde-base/dolphin-plugins-4.5.95/work/dolphin-plugins-4.5.95 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/dolphin-plugins-4.5.95/work/dolphin-plugins-4.5.95_build"
make -j3
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/dolphin-plugins-4.5.95

>>> Install dolphin-plugins-4.5.95 into /var/tmp/portage/kde-base/dolphin-plugins-4.5.95/image/ category kde-base
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/dolphin-plugins-4.5.95/work/dolphin-plugins-4.5.95_build"
make -j3 DESTDIR=/var/tmp/portage/kde-base/dolphin-plugins-4.5.95/image/ install
make: *** No rule to make target `install'.  Stop.
emake failed
 * ERROR: kde-base/dolphin-plugins-4.5.95 failed:
 *   died running make install, base_src_install


thx in av


I have the same issue with pykde :-(
Code:

-- <<< Gentoo configuration >>>
Build type      Gentoo
Install path    /usr
Compiler flags:
C               -march=native -O2 -pipe  -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common
C++             -march=native -O2 -pipe  -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Werror=return-type -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -fvisibility-inlines-hidden
Linker flags:
Executable      -Wl,--enable-new-dtags -Wl,-O1 -Wl,--as-needed
Module          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed
Shared          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/kde-base/pykde4-4.5.95/work/pykde4-4.5.95_build
>>> Source configured.
>>> Compiling source in /var/tmp/portage/kde-base/pykde4-4.5.95/work/pykde4-4.5.95 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/pykde4-4.5.95/work/pykde4-4.5.95_build"
make -j3
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/pykde4-4.5.95

>>> Install pykde4-4.5.95 into /var/tmp/portage/kde-base/pykde4-4.5.95/image/ category kde-base
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/pykde4-4.5.95/work/pykde4-4.5.95_build"
make -j3 DESTDIR=/var/tmp/portage/kde-base/pykde4-4.5.95/image/ install
make: *** No rule to make target `install'.  Stop.
Back to top
View user's profile Send private message
Voltago
Advocate
Advocate


Joined: 02 Sep 2003
Posts: 2584
Location: userland

PostPosted: Fri Jan 07, 2011 1:14 pm    Post subject: Reply with quote

flame, cruzki123, what intel graphics hardware are you using exactly? Are you using KMS? I'm using the GMA HD (Arrandale) graphics in a Thinkpad T410s and KMS.

EDIT: It seems the login window is there, only it is not drawn on screen. I can log in (I can see the cursor change) and interact with the (also invisible) desktop, so I guess KDE 4.5.95 exposes some kernel bug in 2.6.37.

EDIT2: There is already a bug entry at kernel.org: https://bugzilla.kernel.org/show_bug.cgi?id=23102

EDIT3: Fixed by upgrading to xf86-video-intel-2.13.903 (just rename ebuild).


Last edited by Voltago on Fri Jan 07, 2011 1:49 pm; edited 3 times in total
Back to top
View user's profile Send private message
Boccaccio
Apprentice
Apprentice


Joined: 19 Jul 2005
Posts: 282

PostPosted: Fri Jan 07, 2011 1:17 pm    Post subject: Reply with quote

KDE SC 4.5.5 is out:

http://kde.org/announcements/announce-4.5.5.php
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7113
Location: Austria

PostPosted: Fri Jan 07, 2011 3:02 pm    Post subject: Reply with quote

Ah ok, so rebuilding xf86-video-intel-9999 fixed it for me too. Was going to post it to be working now after emerging 4.5.95...
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
Voltago
Advocate
Advocate


Joined: 02 Sep 2003
Posts: 2584
Location: userland

PostPosted: Fri Jan 07, 2011 3:41 pm    Post subject: Reply with quote

k3b-9999, now with 100% less HAL! Yay!

Ebuild:

Code:
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

CMAKE_MIN_VERSION=2.8.0
MULTIMEDIA_REQUIRED=always
WEBKIT_REQUIRED=always
KMNAME="extragear/multimedia"

# Translations are only in the tarballs, not in the svn repo
if [[ ${PV} != *9999* ]]; then
        KDE_LINGUAS="ast be bg ca ca@valencia cs csb da de el en_GB eo es et eu fi fr ga
        gl he hi hne hr hu is it ja km ko ku lt mai nb nds nl nn oc pa pl pt pt_BR ro ru
        se sk sl sv th tr uk zh_CN zh_TW"

        SRC_URI="mirror://sourceforge/${PN}/${P/_}.tar.bz2"

        DOCS=( FAQ PERMISSIONS README RELEASE_HOWTO )

        S=${WORKDIR}/${P/_*}
else
        EGIT_REPO_URI="git://anongit.kde.org/k3b"
        GIT_ECLASS="git"
        DOCS=( FAQ.txt PERMISSIONS.txt README.txt )
fi

inherit kde4-base $GIT_ECLASS

DESCRIPTION="The CD/DVD Kreator for KDE"
HOMEPAGE="http://www.k3b.org/"

LICENSE="GPL-2 FDL-1.2"
SLOT="4"
KEYWORDS=""
IUSE="debug dvd emovix encode ffmpeg flac mad lame musepack musicbrainz sndfile sox taglib vcd vorbis +wav"

DEPEND="
        $(add_kdebase_dep libkcddb)
        media-libs/libsamplerate
        dvd? ( media-libs/libdvdread )
        ffmpeg? ( >=media-video/ffmpeg-0.5 )
        flac? ( >=media-libs/flac-1.2[cxx] )
        encode? ( lame? ( media-sound/lame ) )
        mad? ( media-libs/libmad )
        musepack? ( >=media-sound/musepack-tools-444 )
        musicbrainz? ( media-libs/musicbrainz:1 )
        sndfile? ( media-libs/libsndfile )
        taglib? ( >=media-libs/taglib-1.5 )
        vorbis? ( media-libs/libvorbis )
"
RDEPEND="${DEPEND}
        app-cdr/cdrdao
        media-sound/cdparanoia
        virtual/cdrtools
        dvd? (
                >=app-cdr/dvd+rw-tools-7
                encode? ( media-video/transcode[dvd] )
        )
        emovix? ( media-video/emovix )
        encode? ( sox? ( media-sound/sox ) )
        vcd? ( media-video/vcdimager )
"

DOCS+=( ChangeLog )

src_configure() {
        mycmakeargs=(
                -DK3B_BUILD_K3BSETUP=OFF
                $(cmake-utils_use debug K3B_DEBUG)
                $(cmake-utils_use musicbrainz K3B_ENABLE_MUSICBRAINZ)
                $(cmake-utils_use dvd K3B_ENABLE_DVD_RIPPING)
                $(cmake-utils_use taglib K3B_ENABLE_TAGLIB)
                -DK3B_BUILD_API_DOCS=OFF
                $(cmake-utils_use ffmpeg K3B_BUILD_FFMPEG_DECODER_PLUGIN)
                $(cmake-utils_use vorbis K3B_BUILD_OGGVORBIS_DECODER_PLUGIN)
                $(cmake-utils_use mad K3B_BUILD_MAD_DECODER_PLUGIN)
                $(cmake-utils_use musepack K3B_BUILD_MUSE_DECODER_PLUGIN)
                $(cmake-utils_use flac K3B_BUILD_FLAC_DECODER_PLUGIN)
                $(cmake-utils_use sndfile K3B_BUILD_SNDFILE_DECODER_PLUGIN)
                $(cmake-utils_use wav K3B_BUILD_WAVE_DECODER_PLUGIN)
                $(cmake-utils_use encode K3B_BUILD_EXTERNAL_ENCODER_PLUGIN)
        )

        if use encode; then
                mycmakeargs+=(
                        $(cmake-utils_use vorbis K3B_BUILD_OGGVORBIS_ENCODER_PLUGIN)
                        $(cmake-utils_use lame K3B_BUILD_LAME_ENCODER_PLUGIN)
                        $(cmake-utils_use sox K3B_BUILD_SOX_ENCODER_PLUGIN)
                )
        fi

        kde4-base_src_configure
}

pkg_postinst() {
        kde4-base_pkg_postinst

        echo
        elog "We don't install k3bsetup anymore because Gentoo doesn't need it."
        elog "If you get warnings on start-up, uncheck the \"Check system"
        elog "configuration\" option in the \"Misc\" settings window."
        echo

        local group=cdrom
        use kernel_linux || group=operator
        elog "Make sure you have proper read/write permissions on the cdrom device(s)."
        elog "Usually, it is sufficient to be in the ${group} group."
        echo
}
Back to top
View user's profile Send private message
Geos_One
Apprentice
Apprentice


Joined: 15 Sep 2005
Posts: 250
Location: Austria,Graz

PostPosted: Fri Jan 07, 2011 10:00 pm    Post subject: kdepim 4.5.94 Reply with quote

kdepim 4.5.94 has been released

thx
Mario
Back to top
View user's profile Send private message
chl
n00b
n00b


Joined: 13 May 2003
Posts: 70
Location: Munich

PostPosted: Sat Jan 08, 2011 6:56 am    Post subject: Reply with quote

Boccaccio wrote:
KDE SC 4.5.5 is out:

http://kde.org/announcements/announce-4.5.5.php


I just emerged KDE 4.5.5 using the ebuilds from the kde overlay.

Emerging pykde4-4.5.5 however failed the same way as described in bug https://bugs.gentoo.org/show_bug.cgi?id=349707, when using PyQt4-4.8.2 and in particular sip-4.12.

Applying the patch recommended there helped.

I don't know if this is an single case for me. Maybe the maintainers should consider to include this patch.

CHL
_________________
The difficulty in designing something completely foolproof, is not to underestimate the ingenuity of complete fools.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7113
Location: Austria

PostPosted: Sat Jan 08, 2011 8:42 am    Post subject: Reply with quote

strigidaemon starts on my system despite being disabled, utilizing 100% of one core and eating up GBs of my /home directory (until it runs out of space).
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
one_and_only
Apprentice
Apprentice


Joined: 13 May 2007
Posts: 250
Location: PL/Krakow

PostPosted: Sat Jan 08, 2011 6:04 pm    Post subject: Reply with quote

Is there any way to change the way how new devices applet mounts external hard drive? I'd like to add dmask parameter, cause now it mounts my fat32 partitin with drwx------. I'd like it mounted like my reiserfs partition (using the same applet): drwxr-xr-x. Should I look for solution somewhere in KDE or create udev rule somehow?
Back to top
View user's profile Send private message
dolphinaura
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2010
Posts: 145

PostPosted: Sat Jan 08, 2011 6:47 pm    Post subject: Reply with quote

genstorm wrote:
strigidaemon starts on my system despite being disabled, utilizing 100% of one core and eating up GBs of my /home directory (until it runs out of space).

not for me, i disabled it, and it vanished. I still have nepomuk active though cause akonadi keeps on popping up an anoying message at startup about unable to find nepomuk, even though I don't use akonadi... :roll:
_________________
------------------------
Dolphinaura
http://twitter.com/dolphinaura
http://dolphinaura.com
Back to top
View user's profile Send private message
haveimooed
n00b
n00b


Joined: 09 Mar 2009
Posts: 19

PostPosted: Sat Jan 08, 2011 7:09 pm    Post subject: Reply with quote

ravloony wrote:
haveimooed wrote:
kdepimlibs-4.5.90 fails during compile:
Code:
make[2]: *** No rule to make target `/org.freedesktop.Akonadi.NotificationManager.xml', needed by `akonadi/notificationmanagerinterface.cpp'.  Stop.


Same here. Any fixes for this?

For me akonadi-server update to 1.4.90 fixed it
Back to top
View user's profile Send private message
haveimooed
n00b
n00b


Joined: 09 Mar 2009
Posts: 19

PostPosted: Sat Jan 08, 2011 7:10 pm    Post subject: Reply with quote

genstorm wrote:
strigidaemon starts on my system despite being disabled, utilizing 100% of one core and eating up GBs of my /home directory (until it runs out of space).

It did that for me too, I just deleted the executable.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7113
Location: Austria

PostPosted: Sat Jan 08, 2011 7:49 pm    Post subject: Reply with quote

Doesn't seem like healthy behaviour for a should-be-near-final RC2. I mean, how old are the issues with the strigi daemon going all wild, eating up RAM, then SWAP, /home + dog?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
dolphinaura
Tux's lil' helper
Tux's lil' helper


Joined: 13 Jul 2010
Posts: 145

PostPosted: Sat Jan 08, 2011 8:02 pm    Post subject: Reply with quote

what do you have in
Code:
~/.kde4/share/config/nepomukserverrc

_________________
------------------------
Dolphinaura
http://twitter.com/dolphinaura
http://dolphinaura.com
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 7113
Location: Austria

PostPosted: Sat Jan 08, 2011 8:09 pm    Post subject: Reply with quote

Code:
[Basic Settings]
Start Nepomuk=true

[Service-nepomukmigration1]
autostart=false

[Service-nepomukstrigiservice]
autostart=false

[main Settings]
Maximum memory=50
Storage Dir[$e]=$HOME/.kde4/share/apps/nepomuk/repository/main/
Used Soprano Backend=virtuosobackend

_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
haveimooed
n00b
n00b


Joined: 09 Mar 2009
Posts: 19

PostPosted: Sat Jan 08, 2011 8:10 pm    Post subject: Reply with quote

dolphinaura wrote:
what do you have in
Code:
~/.kde4/share/config/nepomukserverrc


I I have this:
Code:
mantas@helium ~ $ cat ~/.kde4/share/config/nepomukserverrc
[Basic Settings]
Start Nepomuk=true

[Service-nepomukmigration1]
autostart=false

[Service-nepomukstrigiservice]
autostart=false

[main Settings]
Maximum memory=50
Storage Dir[$e]=$HOME/.kde4/share/apps/nepomuk/repository/main/
Used Soprano Backend=virtuosobackend
Back to top
View user's profile Send private message
firephoto
Veteran
Veteran


Joined: 29 Oct 2003
Posts: 1604
Location: +48° 5' 23.40", -119° 48' 30.00"

PostPosted: Sat Jan 08, 2011 8:38 pm    Post subject: Reply with quote

What's a guy to do when pykde4 builds without issue 4 times in a row? ;)

Separate 4.6.9999 rebuilds/new on 2 boxes. :)

The new X6 1090T ate up kdelibs in less than 9 minutes too.
_________________
#gentoo-kde on freenode
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 3253
Location: Gainesville, Florida

PostPosted: Sat Jan 08, 2011 9:30 pm    Post subject: Reply with quote

Three failures on kde-live today:
Code:
* The following 3 packages have failed to build or install:
 *
 *  (kde-misc/konq-plugins-9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/log/portage/kde-misc:konq-plugins-9999:20110108-204938.log'
 *  (kde-misc/kwebkitpart-9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/log/portage/kde-misc:kwebkitpart-9999:20110108-205422.log'
 *  (app-cdr/k3b-9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/log/portage/app-cdr:k3b-9999:20110108-205640.log'

=============================

>>> Emerging (1 of 1) kde-misc/kwebkitpart-9999 from kde
 * Package:    kde-misc/kwebkitpart-9999
 * Repository: kde
 * Maintainer: kde@gentoo.org
 * USE:        amd64 elibc_glibc kernel_linux userland_GNU
 * FEATURES:   preserve-libs sandbox
>>> Unpacking source...
 * subversion update start -->
 *      repository: svn://anonsvn.kde.org/home/kde/trunk/extragear/base/kwebkitpart
svn: Target path '/trunk/extragear/base/kwebkitpart' does not exist
 * ERROR: kde-misc/kwebkitpart-9999 failed:
 *   subversion: can't update /usr/portage/distfiles/svn-src/kwebkitpart/kwebkitpart from svn://anonsvn.kde.org/home/kde/trunk/extragear/base/kwebkitpart.
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_unpack
 *   environment, line 3928:  Called kde4-base_src_unpack
 *   environment, line 3074:  Called subversion_src_unpack
 *   environment, line 4274:  Called subversion_fetch
 *   environment, line 4235:  Called die
 * The specific snippet of code:
 *                           ${ESVN_UPDATE_CMD} ${options} || die "${ESVN}: can't update ${wc_path} from ${repo_uri}.";

=====================================================================

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) kde-misc/konq-plugins-9999 from kde
 * Package:    kde-misc/konq-plugins-9999
 * Repository: kde
 * Maintainer: kde@gentoo.org
 * USE:        amd64 elibc_glibc kernel_linux userland_GNU
 * FEATURES:   preserve-libs sandbox
>>> Unpacking source...
 * subversion update start -->
 *      repository: svn://anonsvn.kde.org/home/kde/trunk/extragear/base
At revision 1212971.
 *    working copy: /usr/portage/distfiles/svn-src/extragear/base/base

 * Exporting parts of working copy to /var/tmp/portage/kde-misc/konq-plugins-9999/work/konq-plugins-9999
rsync: link_stat "/usr/portage/distfiles/svn-src/extragear/base/base/konq-plugins" failed: No such file or directory (2)
rsync error: some files/attrs were not transferred (see previous errors) (code 23) at main.c(1042) [sender=3.0.7]
 * ERROR: kde-misc/konq-plugins-9999 failed:
 *   subversion: can't export subdirectory 'konq-plugins' to '/var/tmp/portage/kde-misc/konq-plugins-9999/work/konq-plugins-9999/'.
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_unpack
 *   environment, line 4363:  Called kde4-meta_src_unpack
 *   environment, line 3530:  Called kde4-meta_src_extract
 *   environment, line 3432:  Called die
 * The specific snippet of code:
 *               rsync --recursive ${rsync_options} "${ESVN_WC_PATH}/${kmnamedir}${subdir%/}" "${S}/${targetdir}" || die "${ESVN}: can't export subdirectory '${subdir}' to '${S}/${targetdir}'.";

==============================================================================

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) app-cdr/k3b-9999 from kde
 * Package:    app-cdr/k3b-9999
 * Repository: kde
 * Maintainer: kde@gentoo.org media-optical@gentoo.org
 * USE:        amd64 dvd elibc_glibc kernel_linux userland_GNU wav
 * FEATURES:   preserve-libs sandbox
>>> Unpacking source...
 * subversion update start -->
 *      repository: svn://anonsvn.kde.org/home/kde/trunk/extragear/multimedia/k3b
At revision 1212971.
 *    working copy: /usr/portage/distfiles/svn-src/k3b/k3b

>>> Source unpacked in /var/tmp/portage/app-cdr/k3b-9999/work
>>> Preparing source in /var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999_build"
 * Unable to locate CMakeLists.txt under:
 * "/var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999/CMakeLists.txt"
 * Consider not inheriting the cmake eclass.
 * ERROR: app-cdr/k3b-9999 failed:
 *   FATAL: Unable to find CMakeLists.txt
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_configure
 *   environment, line 3963:  Called kde4-base_src_configure
 *   environment, line 3032:  Called cmake-utils_src_configure
 *   environment, line 1187:  Called _execute_optionaly 'src_configure'
 *   environment, line  566:  Called enable_cmake-utils_src_configure
 *   environment, line 1570:  Called die
 * The specific snippet of code:
 *           die "FATAL: Unable to find CMakeLists.txt";
 *
 * If you need support, post the output of 'emerge --info =app-cdr/k3b-9999',
 * the complete build log and the output of 'emerge -pqv =app-cdr/k3b-9999'.
 * This ebuild used the following eclasses from overlays:
 *   /var/lib/layman/kde/eclass/kde4-base.eclass
 *   /var/lib/layman/kde/eclass/kde4-functions.eclass
 * This ebuild is from an overlay named 'kde': '/var/lib/layman/kde/'
 * The complete build log is located at '/var/log/portage/app-cdr:k3b-9999:20110108-211502.log'.
 * The ebuild environment file is located at '/var/tmp/portage/app-cdr/k3b-9999/temp/environment'.
 * S: '/var/tmp/portage/app-cdr/k3b-9999/work/k3b-9999'

>>> Failed to emerge app-cdr/k3b-9999, Log file:

_________________
Main box- AsRock x370 Gaming K4
Ryzen 1700, 3.0GHz, 16GB GSkill Flare DDR4 3200mhz
Samsung SATA 1000GB, Radeon HD R7 350 2GB DDR5
Gentoo ~amd64 plasma, glibc-2.29-r5, gcc-9.2.0 kernel-5.2.10-gentoo USE=experimental
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Sun Jan 09, 2011 7:56 am    Post subject: Reply with quote

wrc1944 wrote:
Three failures on kde-live today:
Code:
* The following 3 packages have failed to build or install:
 *
 *  (kde-misc/konq-plugins-9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/log/portage/kde-misc:konq-plugins-9999:20110108-204938.log'
 *  (kde-misc/kwebkitpart-9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/log/portage/kde-misc:kwebkitpart-9999:20110108-205422.log'
 *  (app-cdr/k3b-9999::kde, ebuild scheduled for merge), Log file:
 *   '/var/log/portage/app-cdr:k3b-9999:20110108-205640.log'


k3b has changed to git.
you *must* patch the ebuild per hand to compile him.
Back to top
View user's profile Send private message
TheDodger
Tux's lil' helper
Tux's lil' helper


Joined: 12 Aug 2002
Posts: 126
Location: Hamburg

PostPosted: Sun Jan 09, 2011 9:14 am    Post subject: Reply with quote

Voltago wrote:
k3b-9999, now with 100% less HAL! Yay!

But not the currently 2.0.80 ... :(
Back to top
View user's profile Send private message
Voltago
Advocate
Advocate


Joined: 02 Sep 2003
Posts: 2584
Location: userland

PostPosted: Sun Jan 09, 2011 12:26 pm    Post subject: Reply with quote

TheDodger wrote:
But not the currently 2.0.80 ... :(

Really? On my system, it builds against kde-4.5.95 (without HAL present), starts without crashing and detects inserted optical media. Didn't try to burn yet though. Version is 2.0.80 too.
Back to top
View user's profile Send private message
Lustmored
Apprentice
Apprentice


Joined: 28 May 2010
Posts: 206
Location: Poland

PostPosted: Sun Jan 09, 2011 1:49 pm    Post subject: Reply with quote

Where did you get 2.0.80 tarballs from? I seem to be unable to find it anywhere :(
Back to top
View user's profile Send private message
Voltago
Advocate
Advocate


Joined: 02 Sep 2003
Posts: 2584
Location: userland

PostPosted: Sun Jan 09, 2011 1:58 pm    Post subject: Reply with quote

The version from git is labelled 2.0.80.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 10, 11, 12 ... 19, 20, 21  Next
Page 11 of 21

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum